New SFTP plugin available now

Discuss and announce Total Commander plugins, addons and other useful tools here, both their usage and their development.

Moderators: sheep, Hacker, Stefan2, white

Post Reply
STEPHANK
Junior Member
Junior Member
Posts: 9
Joined: 2019-04-18, 10:51 UTC

Re: New SFTP plugin available now

Post by *STEPHANK »

Thanks Andrzej.

I could not find where I set the SFTP to passive in the plugin.

No router is involved. All three machines are on the same internal network.

The rights are fine copying from the local machine and only cause a problem from machine to machine.

User avatar
Usher
Power Member
Power Member
Posts: 856
Joined: 2011-03-11, 10:11 UTC

Re: New SFTP plugin available now

Post by *Usher »

I'm sorry, it was my misreading. Passive mode is in FTP and FTPS. SFTP doesn't need two modes. There may be a problem with SSH config, as it was suggested earlier (another guess, I can't try anything on my own now).
Regards from Poland
Andrzej P. Wozniak

STEPHANK
Junior Member
Junior Member
Posts: 9
Joined: 2019-04-18, 10:51 UTC

Re: New SFTP plugin available now

Post by *STEPHANK »

Thanks!

I am a software developer and I am using Total Commander (Windows Commander) since 2000.

So, I know what I am doing and I have done a lot of testing.

No rights problem at all when using only one SSH. Using two has a problem.

User avatar
ghisler(Author)
Site Admin
Site Admin
Posts: 39712
Joined: 2003-02-04, 09:46 UTC
Location: Switzerland
Contact:

Re: New SFTP plugin available now

Post by *ghisler(Author) »

Sorry, direct server to server copying is not supported via SFTP. Directories are not really copied, Total Commander just creates them when they are missing.
Author of Total Commander
http://www.ghisler.com

STEPHANK
Junior Member
Junior Member
Posts: 9
Joined: 2019-04-18, 10:51 UTC

Re: New SFTP plugin available now

Post by *STEPHANK »

Thanks for the fast answer Christian.

Damn. That would have been to go to be true ;-)

larry99
Junior Member
Junior Member
Posts: 39
Joined: 2009-01-16, 16:03 UTC
Location: Germany

Re: New SFTP plugin available now

Post by *larry99 »

I have two different problems with the SFTP plugin.
Background is that I have a new Ubuntu 20.04 LTS server. First I tried to connect with a somwhat dated (from 2013) plugin version. With this version I can connect to all other servers with a key provided by pageant. When I try to connect to the new 20.04 server I get an error message:
Fehler: Konnte SSH-Sitzung nicht starten: Unable to exchange encryption keys.
I tried both as a normal user and as root. Both can connect via PuTTY without any problem, also using pageant.

As a chance to solve the problem I tried to install the most recent Plugin version (v2.70). Since it is on Windows 7 to my understanding it should just work by exchanging the plugin subdir, moving the old one from "sftp" to "sftp_bak" and creating a new "sftp" dir with the contents of the Plugin archve without the need for any additional DLLs.
Before installing the new version, I did an "unload all plugins".

The new plugin version can read the config of my connections but when I try to connect to any server (not just the new 20.04 one) all I get is a warning sound (like a bell) but no message in the connection window and of course no connection.

Any idea what might be going wrong here? And of course how to fix it?

User avatar
ghisler(Author)
Site Admin
Site Admin
Posts: 39712
Joined: 2003-02-04, 09:46 UTC
Location: Switzerland
Contact:

Re: New SFTP plugin available now

Post by *ghisler(Author) »

Try to regularly install the plugin by double clicking the ZIP in Total Commander, then follow the instructions.
Author of Total Commander
http://www.ghisler.com

menerke
New Member
New Member
Posts: 1
Joined: 2020-06-17, 09:53 UTC

Re: New SFTP plugin available now

Post by *menerke »

The new Windows 10 update made the SFTP plugin to not work for me anymore. I tried both the normal sftpplugin and the one made for windows XP, which uses openSSL. None of them work for me.

EDIT:
Sorry for my comment. I tried installing the newer (2.70) version again, and now it works for me. :) thank you.

Post Reply